#pragma once

#include <string>

namespace scraper::sport_monks::json_keys
{
	//added by hand:
	const std::string _0_5{ "0_5" };
	const std::string _1_5{ "1_5" };
	const std::string _2_5{ "2_5" };
	const std::string _3_5{ "3_5" };
	const std::string _4_5{ "4_5" };
	const std::string _5_5{ "5_5" };
	const std::vector<std::string> GOAL_LINES{_0_5, _1_5, _2_5, _3_5, _4_5, _5_5};
	const std::string _0_15{ "0-15" };
	const std::string _15_30{ "15-30" };
	const std::string _30_45{ "30-45" };
	const std::string _45_60{ "45-60" };
	const std::string _60_75{ "60-75" };
	const std::string _75_90{ "75-90" };
	const std::string ACCURACY{ "accuracy" };
	const std::string ACCURATE{ "accurate" };
	const std::string AGGREGATED_ASSIST_SCORERS{ "aggregatedAssistscorers" };
	const std::string AGGREGATED_CARD_SCORERS{ "aggregatedCardscorers" };
	const std::string AGGREGATED_GOAL_SCORERS{ "aggregatedGoalscorers" };
	const std::string AMOUNT{ "amount" };
	const std::string ANALYSES{ "analyses" };
	const std::string ASSISTANTS{ "assistants" };
	const std::string ASSIST_SCORERS{ "assistscorers" };
	const std::string ATTEMPTS{ "attempts" };
	const std::string AWAY{ "away" };
	const std::string BENCH{ "bench" };
	const std::string CARD_SCORERS{ "cardscorers" };
	const std::string CARDS{ "cards" };
	const std::string CLOUDS{ "clouds" };
	const std::string COACH_ID{ "coach_id" };
	const std::string COACHES{ "coaches" };
	const std::string CODE{ "code" };
	const std::string COLOR{ "color" };
	const std::string COLORS{ "colors" };
	const std::string COMMITTED{ "committed" };
	const std::string CONTINENT{ "continent" };
	const std::string COORDINATES{ "coordinates" };
	const std::string COUNT{ "count" };
	const std::string COVERAGE{ "coverage" };
	const std::string CROSSES{ "crosses" };
	const std::string DATA{ "data" };
	const std::string DEGREE{ "degree" };
	const std::string DRAW{ "draw" };
	const std::string DRIBBLED_PAST{ "dribbled_past" };
	const std::string DRIBBLES{ "dribbles" };
	const std::string DRAWN{ "drawn" };
	const std::string DUELS{ "duels" };
	const std::string EXTRA{ "extra" };
	const std::string FLATODDS{ "flatOdds" };
	const std::string FORMATIONS{ "formations" };
	const std::string FOULS{ "fouls" };
	const std::string GAMES_PLAYED{ "games_played" };
	const std::string GOALS_AGAINST{ "goals_against" };
	const std::string GOAL_LINE{ "goal_line" };
	const std::string GOALS_CONCEDED_MINUTES{ "goals_conceded_minutes" };
	const std::string GOALS_SCORED{ "goals_scored" };
	const std::string GOALS_SCORED_MINUTES{ "goals_scored_minutes" };
	const std::string GOAL_SCORERS{ "goalscorers" };
	const std::string HOME{ "home" };
	const std::string HUMIDITY{ "humidity" };
	const std::string ICON{ "icon" };
	const std::string KIT_COLORS{ "kit_colors" };
	const std::string LAT{ "lat" };
	const std::string LINEUP{ "lineup" };
	const std::string LOCALTEAM{ "localteam" };
	const std::string LON{ "lon" };
	const std::string LOST{ "lost" };
	const std::string MISSED{ "missed" };
	const std::string ODDS{ "odds" };
	const std::string OVER{ "over" };
	const std::string SUB_REGION{ "sub_region" };
	const std::string SUCCESS{ "success" };
	const std::string PASSES{ "passes" };
	const std::string PASSING{ "passing" };
	const std::string PENALTIES{ "penalties" };
	const std::string PERIOD{ "period" };
	const std::string PREDICTIONS{ "predictions" };
	const std::string PRESSURE{ "pressure" };
	const std::string REASON{ "reason" };
	const std::string SCORES{ "scores" };
	const std::string SCORING_MINUTES { "scoring_minutes" };
	const std::string SHOTS{ "shots" };
	const std::string SHOTS_OFF_TARGET{ "shots_off_target" };
	const std::string SHOTS_ON_TARGET{ "shots_on_target" };
	const std::string SHOTS_TOTAL{ "shots_total" };
	const std::string SIDELINED{ "sidelined" };
	const std::string SPEED{ "speed" };
	const std::string STANDINGS{ "standings" };
	const std::string STARTING_AT{ "starting_at" };
	const std::string STATS{ "stats" };
	const std::string SUSPENDED{ "suspended" };
	const std::string TEMP{ "temp" };
	const std::string TEMPERATURE{ "temperature" };
	const std::string TEMPERATURE_CELCIUS{ "temperature_celcius" };
	const std::string TOPSCORER_ASSISTS{ "topscorer_assists" };
	const std::string TOPSCORER_CARDS{ "topscorer_cards" };
	const std::string TOPSCORER_GOALS{ "topscorer_goals" };
	const std::string TOTAL{ "total" };
	const std::string TRANSFERS{ "transfers" };
	const std::string TRENDS{ "trends" };
	const std::string UPDATED_AT{ "updated_at" };
	const std::string VISITORTEAM{ "visitorteam" };
	const std::string WEATHER_REPORT{ "weather_report" };
	const std::string WIND{ "wind" };
	const std::string WON{ "won" };


	//generated by CodeWorker:
	const std::string ACTIVE{ "active" };
	const std::string ADDED_TIME{ "added_time" };
	const std::string ADDRESS{ "address" };
	const std::string AGGREGATE_ID{ "aggregate_id" };
	const std::string AMERICAN{ "american" };
	const std::string APPEARENCES{ "appearences" };
	const std::string ASSISTS{ "assists" };
	const std::string ATTENDANCE{ "attendance" };
	const std::string BIRTHCOUNTRY{ "birthcountry" };
	const std::string BIRTHDATE{ "birthdate" };
	const std::string BIRTHPLACE{ "birthplace" };
	const std::string BLOCKS{ "blocks" };
	const std::string BOOKMAKER_EVENT_ID{ "bookmaker_event_id" };
	const std::string BOOKMAKER_ID{ "bookmaker_id" };
	const std::string CAPACITY{ "capacity" };
	const std::string CAPTAIN{ "captain" };
	const std::string CITY{ "city" };
	const std::string COMMENT{ "comment" };
	const std::string COMMENTARIES{ "commentaries" };
	const std::string COMMON_NAME{ "common_name" };
	//const std::string CONTINENT_ID{ "continent_id" };
	//const std::string COORDINATES{ "coordinates" };
	const std::string COUNTRY_ID{ "country_id" };
	const std::string CURRENT_ROUND_ID{ "current_round_id" };
	const std::string CURRENT_SEASON_ID{ "current_season_id" };
	const std::string CURRENT_STAGE_ID{ "current_stage_id" };
	const std::string DATE{ "date" };
	const std::string DATE_TIME{ "date_time" };
	const std::string DELETED{ "deleted" };
	const std::string DETAILS{ "details" };
	const std::string DISPLAY_NAME{ "display_name" };
	const std::string DISPOSSESED{ "dispossesed" };
	const std::string DP3{ "dp3" };
	const std::string END{ "end" };
	const std::string ET_SCORE{ "et_score" };
	const std::string EXTRA_MINUTE{ "extra_minute" };
	const std::string FIRSTNAME{ "firstname" };
	const std::string FIRST_ASSISTANT_ID{ "first_assistant_id" };
	const std::string FIXTURE_ID{ "fixture_id" };
	const std::string FOUNDED{ "founded" };
	const std::string FOURTH_OFFICIAL_ID{ "fourth_official_id" };
	const std::string FACTIONAL{ "factional" };
	const std::string FT_SCORE{ "ft_score" };
	const std::string FULLNAME{ "fullname" };
	const std::string GOAL{ "goal" };
	const std::string GOALS{ "goals" };
	//const std::string GOAL_DIFFERENCE{ "goal_difference" };
	const std::string GROUP_ID{ "group_id" };
	const std::string GROUP_NAME{ "group_name" };
	const std::string HANDICAP{ "handicap" };
	const std::string HAS_STANDINGS{ "has_standings" };
	const std::string HEIGHT{ "height" };
	const std::string HIT_POST{ "hit_post" };
	const std::string HT_SCORE{ "ht_score" };
	const std::string ID{ "id" };
	const std::string IMAGE_PATH{ "image_path" };
	const std::string IMPORTANT{ "important" };
	const std::string INJURED{ "injured" };
	const std::string INJURY_TIME{ "injury_time" };
	const std::string INSIDE_BOX_SAVES{ "inside_box_saves" };
	const std::string INTERCEPTIONS{ "interceptions" };
	const std::string IS_CUP{ "is_cup" };
	const std::string IS_CURRENT_SEASON{ "is_current_season" };
	const std::string KEY_PASSES{ "key_passes" };
	const std::string LABEL{ "label" };
	const std::string LASTNAME{ "lastname" };
	const std::string LAST_UPDATE{ "last_update" };
	const std::string LEAGUE_ID{ "league_id" };
	const std::string LEG{ "leg" };
	const std::string LEGACY_ID{ "legacy_id" };
	const std::string LINEUPS{ "lineups" };
	const std::string LIVE_STANDINGS{ "live_standings" };
	const std::string LOCALTEAM_COACH_ID{ "localteam_coach_id" };
	//const std::string LOCALTEAM_COLOR{ "localteam_color" };
	const std::string LOCALTEAM_FORMATION{ "localteam_formation" };
	const std::string LOCALTEAM_ID{ "localteam_id" };
	//const std::string LOCALTEAM_KIT_COLOR{ "localteam_kit_color" };
	const std::string LOCALTEAM_PEN_SCORE{ "localteam_pen_score" };
	const std::string LOCALTEAM_POSITION{ "localteam_position" };
	const std::string LOCALTEAM_SCORE{ "localteam_score" };
	const std::string LOGO{ "logo" };
	const std::string LOGO_PATH{ "logo_path" };
	const std::string MARKET_ID{ "market_id" };
	const std::string MINUTE{ "minute" };
	const std::string MINUTES{ "minutes" };
	const std::string NAME{ "name" };
	const std::string NATIONALITY{ "nationality" };
	const std::string NATIONAL_TEAM{ "national_team" };
	const std::string NEUTRAL_VENUE{ "neutral_venue" };
	const std::string NUMBER{ "number" };
	const std::string ORDER{ "order" };
	const std::string PENALTY_GOALS{ "penalty_goals" };
	const std::string PITCH{ "pitch" };
	const std::string PLAYER_ID{ "player_id" };
	//const std::string POINTS{ "points" };
	const std::string POSITION{ "position" };
	//const std::string POSITIONS_ID{ "positions_id" };
	const std::string POSITION_ID{ "position_id" };
	const std::string PROBABILITY{ "probability" };
	const std::string PS_SCORE{ "ps_score" };
	const std::string RECENT_FORM{ "recent_form" };
	const std::string REDCARDS{ "redcards" };
	const std::string REFEREE_ID{ "referee_id" };
	const std::string RESOURCE{ "resource" };
	const std::string RESULT{ "result" };
	const std::string ROUND_ID{ "round_id" };
	const std::string ROUND_NAME{ "round_name" };
	const std::string SAVES{ "saves" };
	const std::string SEASON_ID{ "season_id" };
	const std::string SECOND{ "second" };
	const std::string SECOND_ASSISTANT_ID{ "second_assistant_id" };
	const std::string SHORT_CODE{ "short_code" };
	const std::string SORT_ORDER{ "sort_order" };
	const std::string STAGE_ID{ "stage_id" };
	const std::string STAGE_NAME{ "stage_name" };
	const std::string START{ "start" };
	const std::string STATUS{ "status" };
	const std::string STOP{ "stop" };
	const std::string SUBSTITUTES_ON_BENCH{ "substitutes_on_bench" };
	const std::string SUBSTITUTE_IN{ "substitute_in" };
	const std::string SUBSTITUTE_OUT{ "substitute_out" };
	const std::string SURFACE{ "surface" };
	const std::string TACKLES{ "tackles" };
	const std::string TEAM_ID{ "team_id" };
	const std::string TEAM_NAME{ "team_name" };
	const std::string TIME{ "time" };
	const std::string TIMESTAMP{ "timestamp" };
	const std::string TIMEZONE{ "timezone" };
	const std::string TIMEZONE_TYPE{ "timezone_type" };
	//const std::string TOTAL{ "total" };
	const std::string TWITTER{ "twitter" };
	const std::string TYPE{ "type" };
	const std::string VALUE{ "value" };
	const std::string VENUE_ID{ "venue_id" };
	const std::string VISITORTEAM_COACH_ID{ "visitorteam_coach_id" };
	//const std::string VISITORTEAM_COLOR{ "visitorteam_color" };
	const std::string VISITORTEAM_FORMATION{ "visitorteam_formation" };
	const std::string VISITORTEAM_ID{ "visitorteam_id" };
	//const std::string VISITORTEAM_KIT_COLOR{ "visitorteam_kit_color" };
	const std::string VISITORTEAM_PEN_SCORE{ "visitorteam_pen_score" };
	const std::string VISITORTEAM_POSITION{ "visitorteam_position" };
	const std::string VISITORTEAM_SCORE{ "visitorteam_score" };
	//const std::string WEATHER_CLOUDS{ "weather_clouds" };
	//const std::string WEATHER_CODE{ "weather_code" };
	//const std::string WEATHER_COORDINATES_LAT{ "weather_coordinates_lat" };
	//const std::string WEATHER_COORDINATES_LON{ "weather_coordinates_lon" };
	//const std::string WEATHER_HUMIDITY{ "weather_humidity" };
	//const std::string WEATHER_ICON{ "weather_icon" };
	//const std::string WEATHER_PRESSURE{ "weather_pressure" };
	//const std::string WEATHER_TEMP_CEL{ "weather_temp_cel" };
	//const std::string WEATHER_TEMP_FAH{ "weather_temp_fah" };
	//const std::string WEATHER_TYPE{ "weather_type" };
	//const std::string WEATHER_UPDATED_AT{ "weather_updated_at" };
	//const std::string WEATHER_WIND_DEGREE{ "weather_wind_degree" };
	//const std::string WEATHER_WIND_SPEED{ "weather_wind_speed" };
	const std::string WEIGHT{ "weight" };
	const std::string WINNER_TEAM_ID{ "winner_team_id" };
	const std::string WINNING{ "winning" };
	const std::string WINNING_ODDS_CALCULATED{ "winning_odds_calculated" };
	const std::string YELLOWCARDS{ "yellowcards" };
	const std::string YELLOWRED{ "yellowred" };
	//
	//const std::string ID{ "id" };
	//const std::string SEASON_ID{ "season_id" };
	//const std::string LEAGUE_ID{ "league_id" };
	const std::string NUMBER_OF_CLUBS{ "number_of_clubs" };
	const std::string NUMBER_OF_MATCHES{ "number_of_matches" };
	const std::string NUMBER_OF_MATCHES_PLAYED{ "number_of_matches_played" };
	const std::string NUMBER_OF_GOALS{ "number_of_goals" };
	const std::string MATCHES_BOTH_TEAMS_SCORED{ "matches_both_teams_scored" };
	const std::string NUMBER_OF_YELLOWCARDS{ "number_of_yellowcards" };
	const std::string NUMBER_OF_YELLOWREDCARDS{ "number_of_yellowredcards" };
	const std::string NUMBER_OF_REDCARDS{ "number_of_redcards" };
	const std::string AVG_GOALS_PER_MATCH{ "avg_goals_per_match" };
	const std::string AVG_YELLOWCARDS_PER_MATCH{ "avg_yellowcards_per_match" };
	const std::string AVG_REDCARDS_PER_MATCH{ "avg_redcards_per_match" };
	const std::string TEAM_WITH_MOST_GOALS_ID{ "team_with_most_goals_id" };
	const std::string TEAM_WITH_MOST_CONCEDED_GOALS_ID{ "team_with_most_conceded_goals_id" };
	const std::string TEAM_WITH_MOST_GOALS_PER_MATCH_ID{ "team_with_most_goals_per_match_id" };
	const std::string SEASON_TOPSCORER_ID{ "season_topscorer_id" };
	const std::string SEASON_ASSIST_TOPSCORER_ID{ "season_assist_topscorer_id" };
	const std::string TEAM_MOST_CLEANSHEETS_ID{ "team_most_cleansheets_id" };
	const std::string GOALKEEPER_MOST_CLEANSHEETS_ID{ "goalkeeper_most_cleansheets_id" };
	const std::string GOAL_SCORED_EVERY_MINUTES{ "goal_scored_every_minutes" };
	const std::string BTTS{ "btts" };
	const std::string AVG_CORNERS_PER_MATCH{ "avg_corners_per_match" };
	const std::string TEAM_MOST_CORNERS_COUNT{ "team_most_corners_count" };
	const std::string TEAM_MOST_CORNERS_ID{ "team_most_corners_id" };
	const std::string UPDATED_DATE{ "updated_date" };
	//const std::string TIMEZONE_TYPE{ "timezone_type" };
	//const std::string TIMEZONE{ "timezone" };

	//MatchStatistics
	//const std::string TEAM_ID{ "team_id" };
	//const std::string FIXTURE_ID{ "fixture_id" };
	//const std::string SHOTS_TOTAL{ "shots_total" };
	const std::string ONGOAL{ "ongoal" };
	const std::string OFFGOAL{ "offgoal" };
	const std::string BLOCKED{ "blocked" };
	const std::string INSIDEBOX{ "insidebox" };
	const std::string OUTSIDEBOX{ "outsidebox" };
	const std::string PERCENTAGE{ "percentage" };
	const std::string ATTACKS{ "attacks" };
	const std::string DANGEROUS_ATTACKS{ "dangerous_attacks" };
	//const std::string FOULS{ "fouls" };
	const std::string CORNERS{ "corners" };
	const std::string OFFSIDES{ "offsides" };
	const std::string POSSESSIONTIME{ "possessiontime" };
	//const std::string YELLOWCARDS{ "yellowcards" };
	//const std::string REDCARDS{ "redcards" };
	const std::string YELLOWREDCARDS{ "yellowredcards" };
	//const std::string SAVES{ "saves" };
	const std::string SUBSTITUTIONS{ "substitutions" };
	const std::string GOAL_KICK{ "goal_kick" };
	const std::string THROW_IN{ "throw_in" };
	const std::string BALL_SAFE{ "ball_safe" };
	//const std::string GOALS{ "goals" };
	//const std::string PENALTIES{ "penalties" };
	const std::string INJURIES{ "injuries" };

	//Lineup
	//const std::string TEAM_ID{ "team_id" };
	//const std::string FIXTURE_ID{ "fixture_id" };
	//const std::string PLAYER_ID{ "player_id" };
	const std::string PLAYER_NAME{ "player_name" };
	//const std::string NUMBER{ "number" };
	//const std::string POSITION{ "position" };
	const std::string ADDITIONAL_POSITION{ "additional_position" };
	const std::string FORMATION_POSITION{ "formation_position" };
	const std::string POSX{ "posx" };
	const std::string POSY{ "posy" };
	//const std::string CAPTAIN{ "captain" };
	//const std::string TYPE{ "type" };
	//const std::string SHOTS_TOTAL{ "shots_total" };
	const std::string SHOTS_ON_GOAL{ "shots_on_goal" };
	const std::string SCORED{ "scored" };
	//const std::string ASSISTS{ "assists" };
	const std::string CONCEDED{ "conceded" };
	const std::string OWNGOALS{ "owngoals" };
	//const std::string FOULS_DRAWN{ "fouls_drawn" };
	//const std::string FOULS_COMMITTED{ "fouls_committed" };
	//const std::string CARDS_YELLOWCARDS{ "cards_yellowcards" };
	//const std::string CARDS_REDCARDS{ "cards_redcards" };
	//const std::string CARDS_YELLOWREDCARDS{ "cards_yellowredcards" };
	const std::string TOTAL_CROSSES{ "total_crosses" };
	const std::string CROSSES_ACCURACY{ "crosses_accuracy" };
	//const std::string PASSES{ "passes" };
	const std::string ACCURATE_PASSES{ "accurate_passes" };
	const std::string PASSES_ACCURACY{ "passes_accuracy" };
	//const std::string KEY_PASSES{ "key_passes" };
	//const std::string DRIBBLES{ "dribbles" };
	//const std::string ATTEMPTS{ "attempts" };
	//const std::string SUCCESS{ "success" };
	//const std::string DRIBBLED_PAST{ "dribbled_past" };
	//const std::string DUELS_TOTAL{ "duels_total" };
	//const std::string DUELS_WON{ "duels_won" };
	const std::string OTHER{ "other" };
	const std::string AERIALS_WON{ "aerials_won" };
	const std::string PUNCHES{ "punches" };
	//const std::string OFFSIDES{ "offsides" };
	//const std::string SAVES{ "saves" };
	//const std::string INSIDE_BOX_SAVES{ "inside_box_saves" };
	const std::string PENALTY_SCORED{ "penalty_scored" };
	const std::string PENALTY_MISSED{ "penalty_missed" };
	const std::string PENALTY_SAVED{ "penalty_saved" };
	const std::string PENALTY_COMMITTED{ "penalty_committed" };
	const std::string PENALTY_WON{ "penalty_won" };
	const std::string HIT_WOODWORK{ "hit_woodwork" };
	//const std::string TACKLES{ "tackles" };
	//const std::string BLOCKS{ "blocks" };
	//const std::string INTERCEPTIONS{ "interceptions" };
	const std::string CLEARANCES{ "clearances" };
	//const std::string DISPOSSESED{ "dispossesed" };
	const std::string MINUTES_PLAYED{ "minutes_played" };
	const std::string RATING{ "rating" };


	//TeamSeasonStatistics
	//const std::string TEAM_ID{ "team_id" };
	//const std::string SEASON_ID{ "season_id" };
	//const std::string STAGE_ID{ "stage_id" };
	const std::string WIN{ "win" };
	//const std::string AWAY_WINS{ "away_wins" };
	//const std::string HOME_DRAWS{ "home_draws" };
	//const std::string AWAY_DRAWS{ "away_draws" };
	//const std::string HOME_LOSSES{ "home_losses" };
	//const std::string AWAY_LOSSES{ "away_losses" };
	const std::string GOALS_FOR{ "goals_for" };
	//const std::string AWAY_GOALS_FOR{ "away_goals_for" };
	//const std::string HOME_GOALS_AGAINST{ "home_goals_against" };
	//const std::string AWAY_GOALS_AGAINST{ "away_goals_against" };
	const std::string CLEAN_SHEET{ "clean_sheet" };
	//const std::string AWAY_CLEAN_SHEET{ "away_clean_sheet" };
	const std::string FAILED_TO_SCORE{ "failed_to_score" };
	//const std::string AWAY_FAILED_TO_SCORE{ "away_failed_to_score" };
	const std::string AVG_GOALS_PER_GAME_SCORED{ "avg_goals_per_game_scored" };
	//const std::string AWAY_AVG_GOALS_PER_GAME_SCORED{ "away_avg_goals_per_game_scored" };
	const std::string AVG_GOALS_PER_GAME_CONCEDED{ "avg_goals_per_game_conceded" };
	//const std::string AWAY_AVG_GOALS_PER_GAME_CONCEDED{ "away_avg_goals_per_game_conceded" };
	const std::string AVG_FIRST_GOAL_SCORED{ "avg_first_goal_scored" };
	//const std::string AWAY_AVG_FIRST_GOAL_SCORED{ "away_avg_first_goal_scored" };
	//const std::string OVERALL_AVG_FIRST_GOAL_SCORED{ "overall_avg_first_goal_scored" };
	const std::string AVG_FIRST_GOAL_CONCEDED{ "avg_first_goal_conceded" };
	//const std::string AWAY_AVG_FIRST_GOAL_CONCEDED{ "away_avg_first_goal_conceded" };
	//const std::string OVERALL_AVG_FIRST_GOAL_CONCEDED{ "overall_avg_first_goal_conceded" };
	//const std::string ATTACKS{ "attacks" };
	//const std::string DANGEROUS_ATTACKS{ "dangerous_attacks" };
	const std::string AVG_BALL_POSSESSION_PERCENTAGE{ "avg_ball_possession_percentage" };
	//const std::string FOULS{ "fouls" };
	const std::string AVG_FOULS_PER_GAME{ "avg_fouls_per_game" };
	//const std::string OFFSIDES{ "offsides" };
	//const std::string REDCARDS{ "redcards" };
	//const std::string YELLOWCARDS{ "yellowcards" };
	const std::string SHOTS_BLOCKED{ "shots_blocked" };
	//const std::string SHOTS_OFF_TARGET{ "shots_off_target" };
	const std::string AVG_SHOTS_OFF_TARGET_PER_GAME{ "avg_shots_off_target_per_game" };
	//const std::string SHOTS_ON_TARGET{ "shots_on_target" };
	const std::string AVG_SHOTS_ON_TARGET_PER_GAME{ "avg_shots_on_target_per_game" };
	const std::string AVG_CORNERS{ "avg_corners" };
	const std::string TOTAL_CORNERS{ "total_corners" };
	const std::string WIN_PERCENTAGE{ "win_percentage" };
	const std::string DRAW_PERCENTAGE{ "draw_percentage" };
	const std::string AVG_HOMEGOALS_PER_MATCH{ "avg_homegoals_per_match" };
	const std::string AVG_AWAYGOALS_PER_MATCH{ "avg_awaygoals_per_match" };
	const std::string AVG_PLAYER_RATING{ "avg_player_rating" };
	const std::string AVG_YELLOWREDCARDS_PER_MATCH{ "avg_yellowredcards_per_match" };

	//TeamGoalLine
	const std::string LINE_OVER{ "line_over" };

	//PlayerSideline
	//const std::string PLAYER_ID{ "player_id" };
	//const std::string SEASON_ID{ "season_id" };
	//const std::string TEAM_ID{ "team_id" };
	const std::string DESCRIPTION{ "description" };
	const std::string START_DATE{ "start_date" };
	const std::string END_DATE{ "end_date" };

	//PlayerTransfer
	//const std::string PLAYER_ID{ "player_id" };
	const std::string FROM_TEAM_ID{ "from_team_id" };
	const std::string TO_TEAM_ID{ "to_team_id" };
	//const std::string SEASON_ID{ "season_id" };
	const std::string TRANSFER{ "transfer" };
	//const std::string TYPE{ "type" };
	//const std::string DATE{ "date" };
	//const std::string AMOUNT{ "amount" };

	//Pagination
	const std::string META{ "meta" };
	const std::string PAGINATION{ "pagination" };
	const std::string PER_PAGE{ "per_page" };
	const std::string CURRENT_PAGE{ "current_page" };
	const std::string TOTAL_PAGES{ "total_pages" };
}